#!/bin/sh

# Source NVM if it exists
if [ -s "$HOME/.nvm/nvm.sh" ]; then
  . "$HOME/.nvm/nvm.sh"
elif [ -s "/usr/local/opt/nvm/nvm.sh" ]; then
  . "/usr/local/opt/nvm/nvm.sh"
fi

if command -v nvm > /dev/null 2>&1; then
  echo "NVM is installed"
  nvm use 16

  if [ -z "$2" ]; then
    echo "Running webpack with config $1"
    webpack --config $1
  else
    echo "Running webpack with config $1 and mode $2"
    webpack --config $1 --mode=$2
  fi

else
  echo "NVM is not installed"
fi
