import ClassicEditorBase from '@ckeditor/ckeditor5-editor-classic/src/classiceditor';
import EssentialsPlugin from '@ckeditor/ckeditor5-essentials/src/essentials';
import BoldPlugin from '@ckeditor/ckeditor5-basic-styles/src/bold';
import ItalicPlugin from '@ckeditor/ckeditor5-basic-styles/src/italic';
import LinkPlugin from '@ckeditor/ckeditor5-link/src/link';
import ParagraphPlugin from '@ckeditor/ckeditor5-paragraph/src/paragraph';
import ScribensPlugin from './plugin';


export default class ClassicEditor extends ClassicEditorBase {
}

ClassicEditor.builtinPlugins = [
    EssentialsPlugin,
    BoldPlugin,
    ItalicPlugin,
    LinkPlugin,
    ParagraphPlugin,
    ScribensPlugin,
];

ClassicEditor.defaultConfig = {
    toolbar: [
        'bold',
        'italic',
        'link',
        'undo',
        'redo',
        '|',
        'scribensPlugin'
    ],
    language: 'fr'
};

window.ClassicEditor = ClassicEditor;
